Subject: Re: chrome won't update

From: Stephen Partington via PLUG-discuss <[email-masked]>
Date: Thu, 6 Mar 2025 12:10:37 -0500

This is why the misnamed AI chatbots can be so fery powerful. i think many
support orgs should leverage them.

On Thu, Mar 6, 2025 at 11:55 AM Michael via PLUG-discuss <
[email-masked]> wrote:

> cool. It didn't work so I fed the error into chatgpt, found a solution,
> and now it works. chrome updated too!
>
> On Thu, Mar 6, 2025 at 10:00 AM Michael <[email-masked]> wrote:
>
>> thanks guys. I appreciate the help. So I suppose I wait!
>>
>>
>> On Wed, Mar 5, 2025 at 3:25 PM Keith Smith via PLUG-discuss <
>> [email-masked]> wrote:
>>
>>> Mike,
>>>
>>> I put your output into https://chatgpt.com/ and it says:
>>>
>>> It looks like you were trying to install the libglib2.0-0 package, but
>>> the system selected libglib2.0-0t64 instead, which is already installed
>>> and up to date. Additionally, you have 241 packages that are not
>>> upgraded.
>>>
>>> If you want to upgrade those packages, you can use the following command
>>> to update everything on your system:
>>>
>>> sudo apt upgrade
>>>
>>> This will upgrade the packages that are outdated. If you want to upgrade
>>> all packages, including dependencies and potentially new packages, you
>>> can use:
>>>
>>> sudo apt full-upgrade
>>>
>>> ---
>>>
>>> I do not know if this is the correct answer.  I can tell you I was
>>> having errors while trying to connect remote using Visual Studio Code
>>>
>>> and I cut and pasted the output into Chat and it gave me a simple to
>>> understand solution.
>>>
>>> Keith
>>>
>>>
>>>
>>>
>>>
>>>
>>> On 2025-03-05 11:47, James Mcphee via PLUG-discuss wrote:
>>> > libglib2.0-0t64 is a breaking change that supports 64 bit time types.
>>> > If you can't get a chrome that works with it, you can force your
>>> > libglib2.0-0 to a particular version by choosing one that is not t64.
>>> > apt-cache policy libglib2.0-0.  then apt install
>>> > libglib2.0-0=<version>.  then put a hold on that package to prevent
>>> > upgrades apt-mark hold libglib2.0-0.
>>> >
>>> > this is horrible to do, has global implications to your system, might
>>> > break other packages, and you'll have to manually consider fixes that
>>> > won't be automatically applied or suggested to you.  but it IS an
>>> > option to get it working immediately.
>>> >
>>> > another option is to use a container-based chromium.  snap, flatpak,
>>> > whatever you prefer.  I think you use ubuntu, so probably snap?
>>> >
>>> > definitely best to get a chrome that works with updated libglib if
>>> > feasible.  there might be a non-stable that has it already, etc.
>>> >
>>> > On Wed, Mar 5, 2025 at 11:31 AM Michael via PLUG-discuss
>>> > <[email-masked]> wrote:
>>> >
>>> >> it says dependency not satisfiable. So I tried to apt it:
>>> >> bmike1@bmike1-desktop:~$ apt install libglib2.0-0
>>> >> [sudo] password for bmike1:
>>> >> Reading package lists... Done
>>> >> Building dependency tree... Done
>>> >> Reading state information... Done
>>> >> Note, selecting 'libglib2.0-0t64' instead of 'libglib2.0-0'
>>> >> libglib2.0-0t64 is already the newest version (2.80.0-6ubuntu3.2).
>>> >> libglib2.0-0t64 set to manually installed.
>>> >> 0 upgraded, 0 newly installed, 0 to remove and 241 not upgraded.
>>> >> bmike1@bmike1-desktop:~$
>>> >>
>>> >> What do I do? Should I  just wait?
>>> >> ---------------------------------------------------
>>> >> PLUG-discuss mailing list: [email-masked]
>>> >> To subscribe, unsubscribe, or to change your mail settings:
>>> >> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>> >
>>> > --
>>> > James McPhee
>>> > [email-masked]
>>> > ---------------------------------------------------
>>> > PLUG-discuss mailing list: [email-masked]
>>> > To subscribe, unsubscribe, or to change your mail settings:
>>> > https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>> ---------------------------------------------------
>>> PLUG-discuss mailing list: [email-masked]
>>> To subscribe, unsubscribe, or to change your mail settings:
>>> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>>>
>>
>>
>> --
>> :-)~MIKE~(-:
>>
>
>
> --
> :-)~MIKE~(-:
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
A mouse trap, placed on top of your alarm clock, will prevent you from
rolling over and going back to sleep after you hit the snooze button.

Stephen
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss